Bug 172572 - Very big timeout or errors while detecting USB Flash
Very big timeout or errors while detecting USB Flash
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-07 08:56 EST by Eugene Nechitaylo
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:03:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Nechitaylo 2005-11-07 08:56:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.7.8-2

Description of problem:
The problem appeared with new Transcend 110 1GB USB2.0 flash. It takes too much time to reconize the device and mount it after plugging it into usb port. Sometimes the errors (7 13:11:38 nlo scsi.agent[4176]: Attribute /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6/1-6:1.0/host8/target8:0:0/8:0:0:0/type does not exist) are written into the /var/log/messages:

Nov  7 13:11:17 nlo kernel: usb 1-6: new high speed USB device using ehci_hcd and address 10
Nov  7 13:11:17 nlo kernel: scsi8 : SCSI emulation for USB Mass Storage devices
Nov  7 13:11:22 nlo kernel: usb 1-6: reset high speed USB device using ehci_hcd and address 10
Nov  7 13:11:22 nlo kernel:   Vendor: JetFlash  Model: TS1GJF110         Rev: 0.00
Nov  7 13:11:22 nlo kernel:   Type:   Direct-Access                      ANSI SCSI revision: 02
Nov  7 13:11:22 nlo kernel: SCSI device sda: 2031616 512-byte hdwr sectors (1040 MB)
Nov  7 13:11:38 nlo scsi.agent[4176]: Attribute /sys/devices/pci0000:00/0000:00:1d.7/usb1/1-6/1-6:1.0/host8/target8:0:0/8:0:0:0/type does not exist
Nov  7 13:11:52 nlo kernel: usb 1-6: reset high speed USB device using ehci_hcd and address 10
Nov  7 13:12:23 nlo kernel: usb 1-6: reset high speed USB device using ehci_hcd and address 10
Nov  7 13:13:53 nlo last message repeated 3 times
Nov  7 13:13:53 nlo kernel: sda: Write Protect is off
Nov  7 13:13:53 nlo kernel: sda: assuming drive cache: write through
Nov  7 13:13:53 nlo kernel: SCSI device sda: 2031616 512-byte hdwr sectors (1040 MB)
Nov  7 13:14:23 nlo kernel: usb 1-6: reset high speed USB device using ehci_hcd and address 10
Nov  7 13:15:24 nlo last message repeated 2 times
Nov  7 13:16:24 nlo last message repeated 2 times
Nov  7 13:16:24 nlo kernel: sda: Write Protect is off
Nov  7 13:16:24 nlo kernel: sda: assuming drive cache: write through
Nov  7 13:16:24 nlo kernel:  sda: sda1
Nov  7 13:16:24 nlo kernel: Attached scsi removable disk sda at scsi8, channel 0, id 0, lun 0



Version-Release number of selected component (if applicable):
hotplug-2004_09_23-7 kernel-2.6.13-1.1532_FC4 dbus-0.33-3.fc4.1 

How reproducible:
Always

Steps to Reproduce:
1. tail -f /var/log/messages
2. Plug the usb flash into usb port
3. mount
  

Actual Results:  it can take up to 5 minutes before i can mount the disk/

Expected Results:  The device should be mounted in seconds.

Additional info:
Comment 1 Dave Jones 2006-09-16 23:20:14 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 2 Dave Jones 2006-10-16 20:35:10 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Dave Jones 2006-11-24 18:03:52 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.